////////////////////////////////////////////////////////////////////////////
// Mainwindow Header file
////////////////////////////////////////////////////////////////////////////
#ifndef MAINWIN_H
#define MAINWIN_H
////////////////////////////////////////////////////////////////////////////
// Bind some QT Librarys //
#pragma comment( lib, "qt-mt321.lib")
#pragma comment( lib, "qtmain.lib")
////////////////////////////////////////////////////////////////////////////
// Bind some common Qt header files //
#include <qmainwindow.h>
#include <qprogressbar.h>
#include <qlabel.h>
#include <qstatusbar.h>
#include <qtoolbar.h>
#include <qcombobox.h>
#include <qpixmap.h>
#include <qmessagebox.h>
#include <qtoolbutton.h>
#include <qmenubar.h>
#include <qapplication.h>
#include <qtabdialog.h>
#include <qstring.h>
#include <qvbox.h>
#include <qlineedit.h>
#include <qdatetime.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlistbox.h>
#include <qtabwidget.h>
////////////////////////////////////////////////////////////////////////////
// define MainWindow //
class MainWindow : public QMainWindow {
  Q_OBJECT  // Important to make a Qt Object 

public:
    MainWindow();

protected:
    QToolButton*  btn1; // some Toolbuttons
    QToolButton*  btn2;
    QToolButton*  btn3;
    QLabel*       statuslabel; // Label for Statusbar

protected slots:
    void Event1(); // some Events for the buttons
    void Event2();
    void Event3();
};
////////////////////////////////////////////////////////////////////////////
#endif
////////////////////////////////////////////////////////////////////////////
